const schema = {
  "type": "object",
  "properties": {
    "formGroup_1": {
      "type": "object",
      "title": "文本类",
      "properties": {
        "多行文本": {
          "title": "多行文本",
          "type": "string",
          "format": "textarea",
          "default": "",
          "min": 0,
          "max": 254,
          "className": "",
          "showDescIcon": true,
          "column": 1,
          "required": false,
          "widget": "textArea",
          "rules": [
            {
              "patterns": false,
              "message": ""
            }
          ],
          "disabled": false,
          "placeholder": "请输入多行文本",
          "width": "100%",
          "pathKey": "formGroup_1"
        },
        "富文本": {
          "title": "富文本",
          "widget": "RichText",
          "type": "string",
          "config": "",
          "format": "text",
          "className": "",
          "default": "富文本默认值",
          "content": "富文本默认值",
          "min": 0,
          "max": 254,
          "disabled": false,
          "showDescIcon": true,
          "required": false,
          "widget": "RichText",
          "rules": [
            {},
            {
              "pattern": false,
              "message": ""
            }
          ],
          "width": "100%",
          "pathKey": "formGroup_1"
        },
      },
      "required": [],
      "className": "ant-pandaXform-group"
    },
  },
  "required": [],
  "column": 4,
  "displayType": "row",
  "showDescIcon": true,
  "labelWidth": 120
}

export default schema