import React, { useContext, useMemo, useState } from 'react'
import { Input, Select, message } from 'antd'
import { LoadTableFields, ReloadTableFields } from '../../../../../apis/process'
// import { GlobalStore } from '../../../../FormDesigner'

const field = [
  "处理站点",
  "上报人名称",
  "上报人部门",
  "上报时间",
  "现场图片",
  "现场录音",
  "来源",
  "微信探漏是否维修",
  "表具服务流水号",
  "维修状态",
  "维修费用状态",
  "用户编号",
  "联系人",
  "联系电话",
  "故障类型",
  "是否探到漏点",
  "具体位置_门牌号",
  "情况描述",
  "图片",
  "要求处理时间",
  "附件_图片",
  "探漏人员",
  "配合人员",
  "创建星期数",
  "创建小时数",
  "创建分钟数",
  "工单编号",
  "是否为工作日",
  "分支环节1",
  "分支环节2",
  "服务人员",
  "派单提交时间",
  "派单状态数字",
  "是否接单",
  "接单提交时间",
  "现场是否需要恢复",
  "是否收费",
  "管道资产",
  "现场情况",
  "无需维修原因",
  "处理前图片",
  "确认当前位置",
  "经度",
  "纬度",
  "是否关阀",
  "关闭阀门位置及大小",
  "维修管径_DN",
  "处理后照片",
  "打开阀门位置及大小",
  "实收费用",
  "维修材料清单",
  "缴费照片留存",
  "备注",
  "维修提交时间",
  "维修状态数字",
  "恢复前照片",
  "恢复提交时间",
  "是否已恢复",
  "恢复后照片",
  "恢复费用要素",
  "恢复使用材料拍照",
  "恢复费用",
  "恢复状态数字",
  "维修费用要素",
  "计算费用",
  "派单耗时",
  "接单耗时",
  "维修耗时",
  "恢复耗时",
  "派单耗时_分",
  "接单耗时_分",
  "维修耗时_分",
  "恢复耗时_分"
]

const FieldNames = (props) => {

  const { value, onChange, addons } = props

  const [fieldName, setFieldName] = useState([])
  // const { tableName } = useContext(GlobalStore)

  // console.log('字段名称', props)

  const change = (value) => {
    onChange(value)
  }

  const onFocus = async () => {
    // if (!tableName) {
    //   return message.info('请在表单配置中选择表名!')
    // }
    console.log(addons.getSchemaByPath('tableName'))
    const { data } = await ReloadTableFields({ tableName: '事件_测试02' })
    console.log('data', data)
    if (Array.isArray(data.root)) {
      setFieldName(data.root)
    }
  }

  return (
    <Select
      onFocus={onFocus}
      onChange={change}
      style={{ maxWidth: '208px' }}
      showSearch
      optionFilterProp='children'
      value={value}
    >
      {
        fieldName.map(v => <Select.Option key={v.name} value={v.name}>{v.name}</Select.Option>)
      }
    </Select>
  )
}

export default FieldNames